'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

exports.default = function (props) {

  var theme = (0, _styleHelpers.safeThemeFromProps)(props);

  var _getBandStyle = (0, _styleHelpers.getBandStyle)(theme, props.bandStyle);

  var backgroundColor = _getBandStyle.backgroundColor;
  var textColor = _getBandStyle.textColor;
  var activeColor = _getBandStyle.activeColor;
  var contentStyle = _getBandStyle.contentStyle;
  var itemStyle = _getBandStyle.itemStyle;
  var itemHighlightStyle = _getBandStyle.itemHighlightStyle;
  var logoStyle = _getBandStyle.logoStyle;
  var brandStyle = _getBandStyle.brandStyle;
  var viewport = props.viewport;
  var mode = props.mode;


  var styles = {
    box: _extends({
      position: 'absolute',
      top: 0,
      left: 0,
      width: '100%',
      height: 'auto',
      zIndex: 1000
    }, contentStyle, props.contentStyle),
    boxContent: {
      background: backgroundColor || 'rgba(0,0,0,0)',
      color: textColor,
      padding: '0 5%',
      display: 'flex',
      flexDirection: 'row',
      justifyContent: 'space-between',
      alignItems: 'center'
    },
    logoContainer: {
      margin: 0,
      padding: 0,
      listStyle: 'none',
      flex: '0 1 auto'
    },
    navigationContainer: {
      margin: 0,
      padding: 0,
      listStyle: 'none',
      flex: '0 1 auto',
      textAlign: 'right'
    },
    item: _extends({
      display: 'inline-block',
      padding: '15px',
      fontSize: '16px'
    }, itemStyle, props.itemStyle),
    itemHighlight: _extends({
      display: 'inline-block',
      padding: '7px 12px',
      fontSize: '16px',
      margin: '8px',
      background: activeColor,
      borderRadius: '2px'
    }, itemHighlightStyle, props.itemHighlightStyle),
    itemLink: {
      color: textColor,
      textDecoration: 'none'
    },
    logo: _extends({
      height: '50px',
      width: 'auto',
      float: 'left'
    }, logoStyle, props.logoStyle),
    brand: _extends({
      fontSize: '18px',
      fontWeight: 'bold',
      lineHeight: '50px',
      display: 'inline-block',
      marginLeft: '10px'
    }, brandStyle, props.brandStyle)
  };

  if (mode === 'FIXED') {
    styles.box.position = 'fixed';
  }

  return styles;
};

var _styleHelpers = require('../../utils/styleHelpers');